package com.base.datarecovery.bean

import com.base.datarecovery.utils.SPUtils

object ConstObject {

    const val JUNK_CLEANER = "Junk Cleaner"
    const val REPEAT_PHOTOS = "Repeat Photos"
    const val PHOTO_COMPRESS = "Photo Compress"
    const val SCREENSHOT_CLEANER = "Screenshot Cleaner"

    const val SCAN_PHOTOS = 1
    const val SCAN_DOCUMENTS = 2
    const val SCAN_VIDEOS = 3


    var ifAgreePrivacy = false
        get() {
            return SPUtils.getInstance().getBoolean("ifAgreePrivacy", field)
        }
        set(value) {
            field = value
            SPUtils.getInstance().put("ifAgreePrivacy", value, true)
        }

    var rememberOption = false
        get() {
            return SPUtils.getInstance().getBoolean("rememberOption", field)
        }
        set(value) {
            field = value
            SPUtils.getInstance().put("rememberOption", value, true)
        }

    var rememberRemove = false
        get() {
            return SPUtils.getInstance().getBoolean("rememberRemove", field)
        }
        set(value) {
            field = value
            SPUtils.getInstance().put("rememberRemove", value, true)
        }


    var privacyPinPassword = ""
        get() {
            return SPUtils.getInstance().getString("privacyPinPassword", field)
        }
        set(value) {
            field = value
            SPUtils.getInstance().put("privacyPinPassword", value, true)
        }

}